package com.zcloud.personnel.positioning.api;

import com.zcloud.personnel.positioning.dto.TerminalBindAddCmd;
import com.zcloud.personnel.positioning.dto.TerminalBindPageQry;
import com.zcloud.personnel.positioning.dto.TerminalBindUpdateCmd;
import com.zcloud.personnel.positioning.dto.clientobject.TerminalBindCO;
import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

import java.util.List;

/**
 * web-client
 *
 * @Author fangjiakai
 * @Date 2026-07-07
 */
public interface TerminalBindServiceI {
    PageResponse<TerminalBindCO> listPage(TerminalBindPageQry qry);

    List<TerminalBindCO> listAll();

    TerminalBindCO queryById(Long id);

    SingleResponse<TerminalBindCO> add(TerminalBindAddCmd cmd);

    void edit(TerminalBindUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}
